Cloo 0.9.1

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Properties
Cloo.ComputeException Class Reference

Represents an error state that occurred while executing an OpenCL API call. More...

Inheritance diagram for Cloo.ComputeException:

List of all members.

## Public Member Functions
| ComputeException (ComputeErrorCode code)
| Creates a new ComputeException with a specified ComputeErrorCode.
## Static Public Member Functions
static void | ThrowOnError (int errorCode)
| Checks for an OpenCL error code and throws a ComputeException if such is encountered.
static void | ThrowOnError (ComputeErrorCode errorCode)
| Checks for an OpenCL error code and throws a ComputeException if such is encountered.
## Properties
ComputeErrorCode | ComputeErrorCode`[get]`
| Gets the ComputeErrorCode of the ComputeException.

## Detailed Description

Represents an error state that occurred while executing an OpenCL API call.

See also:
  ComputeErrorCode

## Constructor & Destructor Documentation

Cloo.ComputeException.ComputeException | ( | ComputeErrorCode | code | ) |

Creates a new ComputeException with a specified ComputeErrorCode.

Parameters:

  code | A ComputeErrorCode.

## Member Function Documentation

static void Cloo.ComputeException.ThrowOnError | ( | int | errorCode | ) | `[static]`

Checks for an OpenCL error code and throws a ComputeException if such is encountered.

Parameters:

  errorCode | The value to be checked for an OpenCL error.

static void Cloo.ComputeException.ThrowOnError | ( | ComputeErrorCode | errorCode | ) | `[static]`

Checks for an OpenCL error code and throws a ComputeException if such is encountered.

Parameters:

  errorCode | The OpenCL error code.

## Property Documentation

ComputeErrorCode Cloo.ComputeException.ComputeErrorCode`[get]`

Gets the ComputeErrorCode of the ComputeException.

The documentation for this class was generated from the following file:

- Cloo/Source/ComputeException.cs